summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Zhu Qun-Ying2014-05-23 03:24:13 +0200
committer Willy Sudiarto Raharjo2014-05-23 04:16:30 +0200
commit2e01b9b323415c2076cc4c3f16ac5a69cd5f194c (patch)
treee8f48731ffa2f21d487b00fd1d6651bce1376f75 /misc
parent7d08a1b05a5df5cd0617c004bebf4d86ba16f98f (diff)
downloadslackbuilds-2e01b9b323415c2076cc4c3f16ac5a69cd5f194c.tar.gz
misc/jstock: Added (Stock Market Software).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/jstock/README5
-rw-r--r--misc/jstock/jstock.SlackBuild85
-rw-r--r--misc/jstock/jstock.info10
-rw-r--r--misc/jstock/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/misc/jstock/README b/misc/jstock/README
new file mode 100644
index 0000000000..27e1c6fe51
--- /dev/null
+++ b/misc/jstock/README
@@ -0,0 +1,5 @@
+Make Your Stock Investment Fun and Easy
+
+JStock is a free stock market software. It makes it easy to track your stock
+investment. It provides well organized stock market information, to help you
+decide your best investment strategy.
diff --git a/misc/jstock/jstock.SlackBuild b/misc/jstock/jstock.SlackBuild
new file mode 100644
index 0000000000..d9599b9737
--- /dev/null
+++ b/misc/jstock/jstock.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for jstock
+
+# Copyright 2014 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=jstock
+VERSION=${VERSION:-1.0.7n}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+JAVAHOME="/usr/lib${LIBDIRSUFFIX}/java"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/opt
+mkdir -p $PKG/usr/bin
+cd $PKG/opt
+unzip $CWD/$PRGNAM-$VERSION-bin.zip
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod +x jstock/jstock.sh
+sed -i '/\/usr\/lib\/java/a JAVA_HOME='"$JAVAHOME"'' jstock/jstock.sh
+
+(
+ cd $PKG/usr/bin
+ ln -s /opt/jstock/jstock.sh jstock
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/jstock/jstock.info b/misc/jstock/jstock.info
new file mode 100644
index 0000000000..037ede41bc
--- /dev/null
+++ b/misc/jstock/jstock.info
@@ -0,0 +1,10 @@
+PRGNAM="jstock"
+VERSION="1.0.7n"
+HOMEPAGE="http://www.jstock.org/"
+DOWNLOAD="http://downloads.sourceforge.net/jstock/jstock-1.0.7n-bin.zip"
+MD5SUM="f2e82662b0c37c8dd19968bc984469a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/misc/jstock/slack-desc b/misc/jstock/slack-desc
new file mode 100644
index 0000000000..d5e3633d64
--- /dev/null
+++ b/misc/jstock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jstock: JStock (Stock Market Software)
+jstock:
+jstock: JStock makes it easy to track your stock investment. It provides well
+jstock: organized stock market information, to help you decide your best
+jstock: investment strategy.
+jstock:
+jstock:
+jstock:
+jstock:
+jstock: homepage: http://www.jstock.org
+jstock: